(*****************************************************************************
 *          HOL-TestGen - specification based test case generation
 *                                                                            
 * wrapper.sml- Wrapper for calling RBT deleteimplementation 
 * Copyright (C) 2005 Achim D. Brucker <brucker@inf.ethz.ch>   
 *                    Burkhart Wolff   <bwolff@inf.ethz.ch>    
 *                                                                            
 * This file is part of HOL-TestGen.                  
 *                                                                            
 * HOL-TestGen is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the Free   
 * Software Foundation; either version 2 of the License, or (at your option)  
 * any later version.                                                         
 *                                                                            
 * HOL-TestGen is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
 * more details.                                                              
 *                                                                            
 * You should have received a copy of the GNU General Public License along    
 * with this program; if not, write to the Free Software Foundation, Inc.,    
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                  
 ******************************************************************************)

structure wrapper = 
struct
open IntRedBlackSet; 
fun del  (e,s)  =  let 
                       val retset = delete  ((SET(0,s)),e);
	               val (SET(_,ret)) = retset;
		 in ret end

fun toString t = let 
    fun colstr c = case c of R => "R" | B => "B"
in 
    case t of 
	E => "E"
      | T(col,t1,i,t2) => "T("^(colstr col)^","^(toString t1)^","
			  ^(Int.toString i)^"," 
			  ^(toString t2)^")"
end

end
